Index: issm/trunk/src/c/BamgConvertMeshx/BamgConvertMeshx.cpp
===================================================================
--- issm/trunk/src/c/BamgConvertMeshx/BamgConvertMeshx.cpp	(revision 3774)
+++ issm/trunk/src/c/BamgConvertMeshx/BamgConvertMeshx.cpp	(revision 3775)
@@ -5,5 +5,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 
Index: issm/trunk/src/c/Bamgx/Bamgx.cpp
===================================================================
--- issm/trunk/src/c/Bamgx/Bamgx.cpp	(revision 3774)
+++ issm/trunk/src/c/Bamgx/Bamgx.cpp	(revision 3775)
@@ -5,5 +5,5 @@
 #include "../objects/objects.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "./objects/BamgObjects.h"
Index: issm/trunk/src/c/Bamgx/include/include.h
===================================================================
--- issm/trunk/src/c/Bamgx/include/include.h	(revision 3775)
+++ issm/trunk/src/c/Bamgx/include/include.h	(revision 3775)
@@ -0,0 +1,14 @@
+/*!\file: include.h
+ * \brief prototypes for include.h
+ */ 
+
+#ifndef _INCLUDE2_H_
+#define  _INCLUDE2_H_
+
+
+#include "./macros.h"
+#include "./typedefs.h"
+
+
+#endif //ifndef _INCLUDE2_H_
+
Index: issm/trunk/src/c/Bamgx/objects/CrackedEdge.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/CrackedEdge.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/CrackedEdge.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "MeshVertex.h"
 #include "TriangleAdjacent.h"
Index: issm/trunk/src/c/Bamgx/objects/Curve.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Curve.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/Curve.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "../shared/shared.h"
 #include "GeometricalEdge.h"
Index: issm/trunk/src/c/Bamgx/objects/Direction.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Direction.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/Direction.h	(revision 3775)
@@ -2,6 +2,6 @@
 #define _DIRECTION_H_
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "../shared/shared.h"
 
Index: issm/trunk/src/c/Bamgx/objects/DoubleAndInt.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/DoubleAndInt.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/DoubleAndInt.h	(revision 3775)
@@ -2,6 +2,6 @@
 #define _DOUBLEANDINT_H_
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 
 namespace bamg {
Index: issm/trunk/src/c/Bamgx/objects/Edge.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Edge.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/Edge.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "MeshVertex.h"
 #include "TriangleAdjacent.h"
Index: issm/trunk/src/c/Bamgx/objects/GeometricalEdge.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/GeometricalEdge.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/GeometricalEdge.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "Edge.h"
 #include "GeometricalVertex.h"
Index: issm/trunk/src/c/Bamgx/objects/GeometricalSubDomain.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/GeometricalSubDomain.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/GeometricalSubDomain.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "GeometricalEdge.h"
 
Index: issm/trunk/src/c/Bamgx/objects/GeometricalVertex.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/GeometricalVertex.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/GeometricalVertex.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "MeshVertex.h"
 
Index: issm/trunk/src/c/Bamgx/objects/Geometry.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Geometry.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/Geometry.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "MeshVertex.h"
 #include "Edge.h"
Index: issm/trunk/src/c/Bamgx/objects/ListofIntersectionTriangles.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/ListofIntersectionTriangles.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/ListofIntersectionTriangles.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "Metric.h"
 #include "MeshVertex.h"
Index: issm/trunk/src/c/Bamgx/objects/MeshVertex.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/MeshVertex.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/MeshVertex.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "Direction.h"
 #include "Metric.h"
Index: issm/trunk/src/c/Bamgx/objects/Metric.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Metric.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/Metric.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "../shared/shared.h"
 #include "R2.h"
Index: issm/trunk/src/c/Bamgx/objects/QuadTree.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/QuadTree.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/QuadTree.h	(revision 3775)
@@ -4,9 +4,9 @@
 
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 
 namespace bamg {
Index: issm/trunk/src/c/Bamgx/objects/SubDomain.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/SubDomain.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/SubDomain.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "Edge.h"
 #include "Triangle.h"
Index: issm/trunk/src/c/Bamgx/objects/Triangle.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Triangle.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/Triangle.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "MeshVertex.h"
 #include "TriangleAdjacent.h"
Index: issm/trunk/src/c/Bamgx/objects/TriangleAdjacent.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/TriangleAdjacent.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/TriangleAdjacent.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "MeshVertex.h"
 
Index: issm/trunk/src/c/Bamgx/objects/Triangles.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/Triangles.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/Triangles.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "../shared/shared.h"
 #include "Metric.h"
Index: issm/trunk/src/c/Bamgx/objects/VertexOnEdge.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/VertexOnEdge.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/VertexOnEdge.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "MeshVertex.h"
 #include "Edge.h"
Index: issm/trunk/src/c/Bamgx/objects/VertexOnGeom.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/VertexOnGeom.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/VertexOnGeom.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "MeshVertex.h"
 #include "GeometricalVertex.h"
Index: issm/trunk/src/c/Bamgx/objects/VertexOnVertex.h
===================================================================
--- issm/trunk/src/c/Bamgx/objects/VertexOnVertex.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/objects/VertexOnVertex.h	(revision 3775)
@@ -4,9 +4,9 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../../toolkits/toolkits.h"
 
-#include "../include/typedefs.h"
-#include "../include/macros.h"
+#include "../include/include.h"
+#include "../include/include.h"
 #include "MeshVertex.h"
 
Index: issm/trunk/src/c/Bamgx/shared/OppositeAngle.h
===================================================================
--- issm/trunk/src/c/Bamgx/shared/OppositeAngle.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/shared/OppositeAngle.h	(revision 3775)
@@ -2,5 +2,5 @@
 #define _OPPOSITEANGLE_H_
 
-#include "../include/macros.h"
+#include "../include/include.h"
 
 /*Return the opposite angle modulo 2 Pi*/
Index: issm/trunk/src/c/Bamgx/shared/det.h
===================================================================
--- issm/trunk/src/c/Bamgx/shared/det.h	(revision 3774)
+++ issm/trunk/src/c/Bamgx/shared/det.h	(revision 3775)
@@ -2,5 +2,5 @@
 #define _BAMGDET_H_
 
-#include "../include/typedefs.h"
+#include "../include/include.h"
 
 namespace bamg {
Index: issm/trunk/src/c/BuildNodeSetsx/BuildNodeSetsx.cpp
===================================================================
--- issm/trunk/src/c/BuildNodeSetsx/BuildNodeSetsx.cpp	(revision 3774)
+++ issm/trunk/src/c/BuildNodeSetsx/BuildNodeSetsx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/BuildNodeSetsx/PartitionSets.cpp
===================================================================
--- issm/trunk/src/c/BuildNodeSetsx/PartitionSets.cpp	(revision 3774)
+++ issm/trunk/src/c/BuildNodeSetsx/PartitionSets.cpp	(revision 3775)
@@ -5,5 +5,5 @@
 #include "stdio.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 void PartitionSets(Vec* ppartitionb, Vec* ppartitionc,Vec flags_a,Vec flags_b,Vec flags_c,int gsize){
Index: issm/trunk/src/c/ComputeBasalStressx/ComputeBasalStressx.cpp
===================================================================
--- issm/trunk/src/c/ComputeBasalStressx/ComputeBasalStressx.cpp	(revision 3774)
+++ issm/trunk/src/c/ComputeBasalStressx/ComputeBasalStressx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/ComputePressurex/ComputePressurex.cpp
===================================================================
--- issm/trunk/src/c/ComputePressurex/ComputePressurex.cpp	(revision 3774)
+++ issm/trunk/src/c/ComputePressurex/ComputePressurex.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/ComputeStrainRatex/ComputeStrainRatex.cpp
===================================================================
--- issm/trunk/src/c/ComputeStrainRatex/ComputeStrainRatex.cpp	(revision 3774)
+++ issm/trunk/src/c/ComputeStrainRatex/ComputeStrainRatex.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/ConfigureObjectsx/ConfigureObjectsx.cpp
===================================================================
--- issm/trunk/src/c/ConfigureObjectsx/ConfigureObjectsx.cpp	(revision 3774)
+++ issm/trunk/src/c/ConfigureObjectsx/ConfigureObjectsx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/ControlConstrainx/ControlConstrainx.cpp
===================================================================
--- issm/trunk/src/c/ControlConstrainx/ControlConstrainx.cpp	(revision 3774)
+++ issm/trunk/src/c/ControlConstrainx/ControlConstrainx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/CostFunctionx/CostFunctionx.cpp
===================================================================
--- issm/trunk/src/c/CostFunctionx/CostFunctionx.cpp	(revision 3774)
+++ issm/trunk/src/c/CostFunctionx/CostFunctionx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/DataSet/DataSet.cpp
===================================================================
--- issm/trunk/src/c/DataSet/DataSet.cpp	(revision 3774)
+++ issm/trunk/src/c/DataSet/DataSet.cpp	(revision 3775)
@@ -19,5 +19,5 @@
 #include "../objects/objects.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
 
Index: issm/trunk/src/c/DataSet/Inputs.cpp
===================================================================
--- issm/trunk/src/c/DataSet/Inputs.cpp	(revision 3774)
+++ issm/trunk/src/c/DataSet/Inputs.cpp	(revision 3775)
@@ -18,5 +18,5 @@
 #include "./DataSet.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
 
Index: issm/trunk/src/c/DataSet/Parameters.cpp
===================================================================
--- issm/trunk/src/c/DataSet/Parameters.cpp	(revision 3774)
+++ issm/trunk/src/c/DataSet/Parameters.cpp	(revision 3775)
@@ -18,5 +18,5 @@
 #include "./DataSet.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
 
Index: issm/trunk/src/c/Dofx/Dofx.cpp
===================================================================
--- issm/trunk/src/c/Dofx/Dofx.cpp	(revision 3774)
+++ issm/trunk/src/c/Dofx/Dofx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/Dux/Dux.cpp
===================================================================
--- issm/trunk/src/c/Dux/Dux.cpp	(revision 3774)
+++ issm/trunk/src/c/Dux/Dux.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/ElementConnectivityx/ElementConnectivityx.cpp
===================================================================
--- issm/trunk/src/c/ElementConnectivityx/ElementConnectivityx.cpp	(revision 3774)
+++ issm/trunk/src/c/ElementConnectivityx/ElementConnectivityx.cpp	(revision 3775)
@@ -11,5 +11,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/EnumDefinitions/EnumAsString.cpp
===================================================================
--- issm/trunk/src/c/EnumDefinitions/EnumAsString.cpp	(revision 3774)
+++ issm/trunk/src/c/EnumDefinitions/EnumAsString.cpp	(revision 3775)
@@ -9,5 +9,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "./EnumDefinitions.h"
 
Index: issm/trunk/src/c/EnumDefinitions/StringAsEnum.cpp
===================================================================
--- issm/trunk/src/c/EnumDefinitions/StringAsEnum.cpp	(revision 3774)
+++ issm/trunk/src/c/EnumDefinitions/StringAsEnum.cpp	(revision 3775)
@@ -9,5 +9,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "./EnumDefinitions.h"
 
Index: issm/trunk/src/c/FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.cpp
===================================================================
--- issm/trunk/src/c/FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.cpp	(revision 3774)
+++ issm/trunk/src/c/FieldAverageOntoVerticesx/FieldAverageOntoVerticesx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/FieldDepthAveragex/FieldDepthAveragex.cpp
===================================================================
--- issm/trunk/src/c/FieldDepthAveragex/FieldDepthAveragex.cpp	(revision 3774)
+++ issm/trunk/src/c/FieldDepthAveragex/FieldDepthAveragex.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/FieldExtrudex/FieldExtrudex.cpp
===================================================================
--- issm/trunk/src/c/FieldExtrudex/FieldExtrudex.cpp	(revision 3774)
+++ issm/trunk/src/c/FieldExtrudex/FieldExtrudex.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/Gradjx/Gradjx.cpp
===================================================================
--- issm/trunk/src/c/Gradjx/Gradjx.cpp	(revision 3774)
+++ issm/trunk/src/c/Gradjx/Gradjx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/InterpFromGridToMeshx/InterpFromGridToMeshx.cpp
===================================================================
--- issm/trunk/src/c/InterpFromGridToMeshx/InterpFromGridToMeshx.cpp	(revision 3774)
+++ issm/trunk/src/c/InterpFromGridToMeshx/InterpFromGridToMeshx.cpp	(revision 3775)
@@ -11,5 +11,5 @@
 #include "./InterpFromGridToMeshx.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 int InterpFromGridToMeshx( Vec* pdata_mesh,double* x_in, int x_rows, double* y_in, int y_rows, double* data, int M, int N, double* x_mesh, double* y_mesh, int nods,double default_value) {
Index: issm/trunk/src/c/InterpFromMeshToGridx/InterpFromMeshToGridx.cpp
===================================================================
--- issm/trunk/src/c/InterpFromMeshToGridx/InterpFromMeshToGridx.cpp	(revision 3774)
+++ issm/trunk/src/c/InterpFromMeshToGridx/InterpFromMeshToGridx.cpp	(revision 3775)
@@ -5,5 +5,5 @@
 #include "./InterpFromMeshToGridx.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 void InterpFromMeshToGridx(double** px_m,double** py_m,double** pgriddata,double* index_mesh, double* x_mesh, double* y_mesh, int nods,int nels, double* data_mesh, int data_length, double cornereast,double cornernorth,double xposting,double yposting,int nlines,int ncols,double default_value) {
Index: issm/trunk/src/c/InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.cpp
===================================================================
--- issm/trunk/src/c/InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.cpp	(revision 3774)
+++ issm/trunk/src/c/InterpFromMeshToMesh2dx/InterpFromMeshToMesh2dx.cpp	(revision 3775)
@@ -5,5 +5,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 
Index: issm/trunk/src/c/InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.cpp
===================================================================
--- issm/trunk/src/c/InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.cpp	(revision 3774)
+++ issm/trunk/src/c/InterpFromMeshToMesh3dx/InterpFromMeshToMesh3dx.cpp	(revision 3775)
@@ -5,5 +5,5 @@
 #include "./InterpFromMeshToMesh3dx.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 
 int InterpFromMeshToMesh3dx( Vec* pdata_prime,double* index_data, double* x_data, double* y_data, double* z_data, int nods_data,int nels_data, double* data, int data_length, double* x_prime, double* y_prime, double* z_prime, int nods_prime,double default_value) {
Index: issm/trunk/src/c/Makefile.am
===================================================================
--- issm/trunk/src/c/Makefile.am	(revision 3774)
+++ issm/trunk/src/c/Makefile.am	(revision 3775)
@@ -21,5 +21,10 @@
 
 #Serial compilation
-libISSM_a_SOURCES = ./objects/objects.h\
+libISSM_a_SOURCES = ./include/macros.h\
+					./include/typedefs.h\
+					./include/types.h\
+					./include/globals.h\
+					./include/include.h\
+					./objects/objects.h\
 					./objects/Object.h\
 					./objects/Bamg/BamgGeom.h\
@@ -152,6 +157,4 @@
 					./shared/Numerics/OptFunc.cpp\
 					./shared/Numerics/extrema.cpp\
-					./shared/Numerics/SplitSolutionVector.h\
-					./shared/Numerics/SplitSolutionVector.cpp\
 					./shared/Exceptions/exceptions.h\
 					./shared/Exceptions/Exceptions.cpp\
@@ -380,4 +383,5 @@
 					./Bamgx/Bamgx.cpp\
 					./Bamgx/Bamgx.h\
+					./Bamgx/include/include.h \
 					./Bamgx/include/macros.h \
 					./Bamgx/include/typedefs.h \
@@ -450,5 +454,10 @@
 
 #Parallel compilation
-libpISSM_a_SOURCES = ./objects/objects.h\
+libpISSM_a_SOURCES = ./include/macros.h\
+					./include/typedefs.h\
+					./include/types.h\
+					./include/globals.h\
+					./include/include.h\
+					./objects/objects.h\
 					./objects/Object.h\
 					./objects/Bamg/BamgGeom.h\
@@ -712,6 +721,6 @@
 					./Gradjx/Gradjx.h\
 					./Gradjx/Gradjx.cpp\
-					./shared/Numerics/SplitSolutionVector.h\
-					./shared/Numerics/SplitSolutionVector.cpp\
+					./SplitSolutionVectorx/SplitSolutionVectorx.h\
+					./SplitSolutionVectorx/SplitSolutionVectorx.cpp\
 					./UpdateInputsFromSolutionx/UpdateInputsFromSolutionx.h\
 					./UpdateInputsFromSolutionx/UpdateInputsFromSolutionx.cpp\
@@ -822,4 +831,5 @@
 					./Bamgx/Bamgx.cpp\
 					./Bamgx/Bamgx.h\
+					./Bamgx/include/include.h \
 					./Bamgx/include/macros.h \
 					./Bamgx/include/typedefs.h \
Index: issm/trunk/src/c/MassFluxx/MassFluxx.cpp
===================================================================
--- issm/trunk/src/c/MassFluxx/MassFluxx.cpp	(revision 3774)
+++ issm/trunk/src/c/MassFluxx/MassFluxx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/MeshPartitionx/MeshPartitionx.cpp
===================================================================
--- issm/trunk/src/c/MeshPartitionx/MeshPartitionx.cpp	(revision 3774)
+++ issm/trunk/src/c/MeshPartitionx/MeshPartitionx.cpp	(revision 3775)
@@ -5,5 +5,5 @@
 #include "./MeshPartitionx.h"
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/Misfitx/Misfitx.cpp
===================================================================
--- issm/trunk/src/c/Misfitx/Misfitx.cpp	(revision 3774)
+++ issm/trunk/src/c/Misfitx/Misfitx.cpp	(revision 3775)
@@ -6,5 +6,5 @@
 
 #include "../shared/shared.h"
-#include "../include/macros.h"
+#include "../include/include.h"
 #include "../toolkits/toolkits.h"
 #include "../EnumDefinitions/EnumDefinitions.h"
Index: issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateElementsNodesAndMaterialsBalancedthickness.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateElementsNodesAndMaterialsBalancedthickness.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateElementsNodesAndMaterialsBalancedthickness.cpp	(revision 3775)
@@ -9,5 +9,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
 #include "../ModelProcessorx.h"
Index: issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateLoadsBalancedthickness.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateLoadsBalancedthickness.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Balancedthickness/CreateLoadsBalancedthickness.cpp	(revision 3775)
@@ -8,5 +8,5 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
Index: issm/trunk/src/c/ModelProcessorx/Balancedthickness2/CreateElementsNodesAndMaterialsBalancedthickness2.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Balancedthickness2/CreateElementsNodesAndMaterialsBalancedthickness2.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Balancedthickness2/CreateElementsNodesAndMaterialsBalancedthickness2.cpp	(revision 3775)
@@ -9,6 +9,6 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 #include "../../MeshPartitionx/MeshPartitionx.h"
 #include "../ModelProcessorx.h"
Index: issm/trunk/src/c/ModelProcessorx/Balancedthickness2/CreateLoadsBalancedthickness2.cpp
===================================================================
--- issm/trunk/src/c/ModelProcessorx/Balancedthickness2/CreateLoadsBalancedthickness2.cpp	(revision 3774)
+++ issm/trunk/src/c/ModelProcessorx/Balancedthickness2/CreateLoadsBalancedthickness2.cpp	(revision 3775)
@@ -8,6 +8,6 @@
 #include "../../objects/objects.h"
 #include "../../shared/shared.h"
-#include "../../include/macros.h"
-#include "../../include/typedefs.h"
+#include "../../include/include.h"
+#include "../../include/include.h"
 #include "../ModelProcessorx.h"
 
